=== debian/changelog ===
openpref (0.1.3-4) unstable; urgency=medium

  * Team upload.
  * Add patch for CMake 4 (Closes: #1113363)
  * Rename files under debian/ for debhelper 14/15 compatibility
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Switch to debhelper-compat 13
  * Add debian/salsa-ci.yml
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Jan 2026 07:37:28 +0100

openpref (0.1.3-3) unstable; urgency=medium

  * Team upload.
  * Port to Qt5. (Closes: #875074)
  * Point Vcs-* fields to salsa.
  * Update to debhelper compat level 12.
  * Update Standards-Version to 4.4.0:
    - drop menu file
    - declare that d/rules does not require root
  * Use https in URL for copyright format.
  * Enable all hardening options.
  * Fix spelling error in description.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Aug 2019 01:07:28 +0200

openpref (0.1.3-2) unstable; urgency=medium

  * Migrated to dh
  * Icon added
  * Desktop file added  (Closes: #737993)
  * Bumb standard to 3.9.5, no changes needed
  * Compat set to 9
  * Added menu file (Closes: #737993)
  * New maintainer (Closes: #746460)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 06 May 2014 12:01:28 +0200

openpref (0.1.3-1) unstable; urgency=low

  * Initial release. (closes: #556615)

 -- tang ke <tangk@lemote.com>  Thu, 29 Oct 2009 15:07:42 +0800
