=== debian/control ===
Source: openpref
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.7.3
Homepage: http://sourceforge.net/projects/openpref/
Vcs-Git: https://salsa.debian.org/games-team/openpref.git
Vcs-Browser: https://salsa.debian.org/games-team/openpref

Package: openpref
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: card game against two virtual players
 OpenPref is open source implementation of European trick-taking game
 Preferans against two virtual players. Two alternative AI algorithms
 are available.
