=== debian/watch ===
Version: 5

Source: http://sf.net/openpref/
Matching-Pattern: openpref-(.*)\.tar\.gz
